Bug 1120998 - PGError when parameter name and value exceeds 255 characters
Summary: PGError when parameter name and value exceeds 255 characters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On: 1120271
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 06:15 UTC by Sachin Ghai
Modified: 2014-09-11 12:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:19:00 UTC


Attachments (Terms of Use)
PgError when parameter name/value exceeds 255 characters (36.69 KB, image/png)
2014-07-18 06:15 UTC, Sachin Ghai
no flags Details

Description Sachin Ghai 2014-07-18 06:15:06 UTC
Created attachment 918973 [details]
PgError when parameter name/value exceeds 255 characters

Description of problem:
I was trying create OS paraemeter and specified name and value with more than 255 char and UI raised following error:

Error
PGError: ERROR: value too long for type character varying(255) : UPDATE "parameters" SET "name" = 'ojJELjrEfavaKHSkSDTncoiqjwik12345yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybcvvvvvz', "updated_at" = '2014-07-18 00:30:56.747600' WHERE "parameters"."type" IN ('OsParameter') AND "parameters"."id" = 5

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create OS and then add a parameter with name/value above 255 chars
2.
3.

Actual results:

Error
PGError: ERROR: value too long for type character varying(255) : UPDATE "parameters" SET "name" = 'ojJELjrEfavaKHSkSDTncoiqjwik12345yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNU

Expected results:
UI should throw proper error message like:
Validation failed: Parameter name/value can not be more than 25 char

Additional info:
production.log says:

Processing by OperatingsystemsController#update as */*
  Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"LhwFPtqqR+6kC/oHyhdO70e1e2faExia/6RqRiFMgDU=", "operatingsystem"=>{"name"=>"RedHat", "major"=>"6", "minor"=>"5", "description"=>"", "family"=>"Redhat", "release_name"=>"", "architecture_ids"=>["", ""], "ptable_ids"=>[""], "medium_ids"=>["", ""], "os_parameters_attributes"=>{"0"=>{"name"=>"ojJELjrEfavaKHSkSDTncoiqjwik12345yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybcvvvvvz", "value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"5"}}}, "id"=>"4"}
Operation FAILED: PGError: ERROR:  value too long for type character varying(255)
: UPDATE "parameters" SET "name" = 'ojJELjrEfavaKHSkSDTncoiqjwik12345yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybcvvvvvz', "updated_at" = '2014-07-18 00:30:56.747600' WHERE "parameters"."type" IN ('OsParameter') AND "parameters"."id" = 5
  Rendered common/500.html.erb (9.5ms)
Completed 500 Internal Server Error in 47ms (Views: 16.9ms | ActiveRecord: 3.8ms)

Comment 2 orabin 2014-08-05 15:39:42 UTC
see 1120199

Comment 4 sthirugn@redhat.com 2014-08-07 17:04:31 UTC
Verified.

1. Trying to enter more than 255 characters for name - "Name is too long (maximum is 255 characters)"
2. But trying to enter more than 255 characters for value - accepts the value with no warning. (this will be tracked as a new issue - https://bugzilla.redhat.com/show_bug.cgi?id=1127853)

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 6 Bryan Kearney 2014-09-11 12:19:00 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.